SCATPLT_SET_ACTIVE(3)

EXPERIMENTAL_FUNC
scatplt_set_active - Set active state for a scatter plot controlled refresh.

SYNOPSIS
#include <karma_scatplt.h>

flag scatplt_set_active

(KScatterPlot plot, flag active, flag force_refresh, flag refresh_if_changed, flag exclusive, uaddr key)

DESCRIPTION
This routine will make a scatter plot active or inactive.

plot
    The scatter plot.

active
    If TRUE, the scatter plot is made active, else it is made inactive.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the scatter plot active state changed.

exclusive
    If TRUE and <<active>> is TRUE, make this scatter plot the only active one for this canvas. Other scatter plots for this canvas will be made inactive.

key The key to use for inactivation of other scatter plots. If this is 0 then all other scatter plots will be made inactive.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/